# Uses of Class
org.eclipse.equinox.p2.operations.ProvisioningSession

Packages that use ProvisioningSession
Package
Description
org.eclipse.equinox.p2.operations
Describes high level provisioning operations that can be resolved and performed either modally or in the background.
org.eclipse.equinox.p2.ui
Provides provisioning user interface classes that can be used for assembling a provisioning UI.

## Uses of ProvisioningSession in org.eclipse.equinox.p2.operations

Methods in org.eclipse.equinox.p2.operations that return ProvisioningSession
Modifier and Type
Method
Description
`protected ProvisioningSession`
ProvisioningJob.`getSession()`
Return the provisioning session that is used by the receiver when retrieving necessary provisioning services.
Methods in org.eclipse.equinox.p2.operations with parameters of type ProvisioningSession
Modifier and Type
Method
Description
`abstract void`
RepositoryTracker.`addRepository(URI location, String nickname, ProvisioningSession session)`
Add a repository at the specified location.
`protected boolean`
RepositoryTracker.`contains(URI location, ProvisioningSession session)`
Return a boolean indicating whether this tracker already contains the specified repository location.
`abstract URI[]`
RepositoryTracker.`getKnownRepositories(ProvisioningSession session)`
Return an array of repository locations known for the specified provisioning session.
`abstract void`
RepositoryTracker.`refreshRepositories(URI[] locations, ProvisioningSession session, IProgressMonitor monitor)`
Refresh the repositories at the specified locations
`abstract void`
RepositoryTracker.`removeRepositories(URI[] locations, ProvisioningSession session)`
Remove the repositories at the specified locations
`IStatus`
RepositoryTracker.`validateRepositoryLocation(ProvisioningSession session, URI location, boolean contactRepositories, IProgressMonitor monitor)`
Validate the specified repository location.
Constructors in org.eclipse.equinox.p2.operations with parameters of type ProvisioningSession
Modifier
Constructor
Description
``
`InstallOperation(ProvisioningSession session, Collection<IInstallableUnit> toInstall)`
Create an install operation on the specified provisioning session that installs the supplied IInstallableUnits.
`protected`
`ProfileChangeOperation(ProvisioningSession session)`
Create an operation using the provided provisioning session.
``
`ProfileModificationJob(String name, ProvisioningSession session, String profileId, IProvisioningPlan plan, ProvisioningContext context)`
Create a job that will update a profile according to the specified provisioning plan.
``
`ProvisioningJob(String name, ProvisioningSession session)`
Create a provisioning job with the given name that uses the provided provisioning session for retrieving any services needed.
``
`RemediationOperation(ProvisioningSession session, IProfileChangeRequest iProfileChangeRequest)`
``
`RemediationOperation(ProvisioningSession session, IProfileChangeRequest originalRequest, RemedyConfig[] remedyConfigs)`
``
`SynchronizeOperation(ProvisioningSession session, Collection<IInstallableUnit> toInstall)`
``
`UninstallOperation(ProvisioningSession session, Collection<IInstallableUnit> toUninstall)`
Create an uninstall operation on the specified provisioning session that uninstalls the specified IInstallableUnits.
``
`UpdateOperation(ProvisioningSession session)`
Create an update operation that will update all of the user-visible installable units in the profile (the profile roots).
``
`UpdateOperation(ProvisioningSession session, Collection<IInstallableUnit> toBeUpdated)`
Create an update operation on the specified provisioning session that updates the specified IInstallableUnits.

## Uses of ProvisioningSession in org.eclipse.equinox.p2.ui

Methods in org.eclipse.equinox.p2.ui that return ProvisioningSession
Modifier and Type
Method
Description
`ProvisioningSession`
ProvisioningUI.`getSession()`
Return the provisioning session that should be used to obtain provisioning services.
Constructors in org.eclipse.equinox.p2.ui with parameters of type ProvisioningSession
Modifier
Constructor
Description
``
`ProvisioningUI(ProvisioningSession session, String profileId, Policy policy)`
Creates a new instance of the provisioning user interface.